Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.services
Interface NotificationManager

    public interface NotificationManager

Use this interface to group all methods that can be useful to trigger events that can be caught by listeners, within or outside of the Rosetta framework

Author:
  Esteban

Method Summary
`void` | `sendNotifications(ConfigTree p_oP, java.io.Serializable p_o)` public void sendNotifications(ConfigTree p_oP, Serializable p_o)
`void` | `sendNotifications(java.io.Serializable p_o)`

Method Detail

### sendNotifications

    void sendNotifications(ConfigTree p_oP,
                           java.io.Serializable p_o)
                           throws ConfigurationException,
                                  NotificationException

  public void sendNotifications(ConfigTree p_oP, Serializable p_o)

  Parameters:
    `p_oP` - ConfigTree - A serialized NotificationList object (as a ConfigTree)
    `p_o` - The Serializable object that will be sent to all the NotificationTarget objects contained in the NotificationList

    Implementations of this interface will be responsible of sending the Serializable (arg 1) to destinations determined by each NotificationTarget contained in the NotificationList represented by arg 0.

    Please see org.jboss.soa.esb.notification package for existing classes that extend NotificationTarget (Files, Queues, Topics, SqlTable...)

    Invoking processes are responsible to provide dynamic content of notification

    The NotificationTarget objects can define 'static' content for (suc as contents of certain columns in SQL, or message properties for JMS notification targets, etc.
  Throws:
    `ConfigurationException`
    `NotificationException`

### sendNotifications

    void sendNotifications(java.io.Serializable p_o)
                           throws NotificationException

  Throws:
    `NotificationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD